import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface ActionsSecretConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly plaintextValue: string;
    /**
     * @stability stable
     */
    readonly repository: string;
    /**
     * @stability stable
     */
    readonly secretName: string;
}
/**
 * @stability stable
 */
export declare class ActionsSecret extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ActionsSecretConfig);
    /**
     * @stability stable
     */
    get createdAt(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _plaintextValue;
    /**
     * @stability stable
     */
    get plaintextValue(): string;
    /**
     * @stability stable
     */
    set plaintextValue(value: string);
    /**
     * @stability stable
     */
    get plaintextValueInput(): string;
    private _repository;
    /**
     * @stability stable
     */
    get repository(): string;
    /**
     * @stability stable
     */
    set repository(value: string);
    /**
     * @stability stable
     */
    get repositoryInput(): string;
    private _secretName;
    /**
     * @stability stable
     */
    get secretName(): string;
    /**
     * @stability stable
     */
    set secretName(value: string);
    /**
     * @stability stable
     */
    get secretNameInput(): string;
    /**
     * @stability stable
     */
    get updatedAt(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
