import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataGithubReleaseConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly owner: string;
    /**
     * @stability stable
     */
    readonly releaseId?: number;
    /**
     * @stability stable
     */
    readonly releaseTag?: string;
    /**
     * @stability stable
     */
    readonly repository: string;
    /**
     * @stability stable
     */
    readonly retrieveBy: string;
}
/**
 * @stability stable
 */
export declare class DataGithubRelease extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataGithubReleaseConfig);
    /**
     * @stability stable
     */
    get assertsUrl(): string;
    /**
     * @stability stable
     */
    get body(): string;
    /**
     * @stability stable
     */
    get createdAt(): string;
    /**
     * @stability stable
     */
    get draft(): boolean;
    /**
     * @stability stable
     */
    get htmlUrl(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get name(): string;
    private _owner;
    /**
     * @stability stable
     */
    get owner(): string;
    /**
     * @stability stable
     */
    set owner(value: string);
    /**
     * @stability stable
     */
    get ownerInput(): string;
    /**
     * @stability stable
     */
    get prerelease(): boolean;
    /**
     * @stability stable
     */
    get publishedAt(): string;
    private _releaseId?;
    /**
     * @stability stable
     */
    get releaseId(): number;
    /**
     * @stability stable
     */
    set releaseId(value: number);
    /**
     * @stability stable
     */
    resetReleaseId(): void;
    /**
     * @stability stable
     */
    get releaseIdInput(): number | undefined;
    private _releaseTag?;
    /**
     * @stability stable
     */
    get releaseTag(): string;
    /**
     * @stability stable
     */
    set releaseTag(value: string);
    /**
     * @stability stable
     */
    resetReleaseTag(): void;
    /**
     * @stability stable
     */
    get releaseTagInput(): string | undefined;
    private _repository;
    /**
     * @stability stable
     */
    get repository(): string;
    /**
     * @stability stable
     */
    set repository(value: string);
    /**
     * @stability stable
     */
    get repositoryInput(): string;
    private _retrieveBy;
    /**
     * @stability stable
     */
    get retrieveBy(): string;
    /**
     * @stability stable
     */
    set retrieveBy(value: string);
    /**
     * @stability stable
     */
    get retrieveByInput(): string;
    /**
     * @stability stable
     */
    get tarballUrl(): string;
    /**
     * @stability stable
     */
    get targetCommitish(): string;
    /**
     * @stability stable
     */
    get uploadUrl(): string;
    /**
     * @stability stable
     */
    get url(): string;
    /**
     * @stability stable
     */
    get zipballUrl(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
