import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataGithubRepositoriesConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly query: string;
    /**
     * @stability stable
     */
    readonly sort?: string;
}
/**
 * @stability stable
 */
export declare class DataGithubRepositories extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataGithubRepositoriesConfig);
    /**
     * @stability stable
     */
    get fullNames(): string[];
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get names(): string[];
    private _query;
    /**
     * @stability stable
     */
    get query(): string;
    /**
     * @stability stable
     */
    set query(value: string);
    /**
     * @stability stable
     */
    get queryInput(): string;
    private _sort?;
    /**
     * @stability stable
     */
    get sort(): string;
    /**
     * @stability stable
     */
    set sort(value: string);
    /**
     * @stability stable
     */
    resetSort(): void;
    /**
     * @stability stable
     */
    get sortInput(): string | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
