import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataGithubRepositoryConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly fullName?: string;
    /**
     * @stability stable
     */
    readonly name?: string;
}
/**
 * @stability stable
 */
export declare class DataGithubRepository extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config?: DataGithubRepositoryConfig);
    /**
     * @stability stable
     */
    get allowMergeCommit(): boolean;
    /**
     * @stability stable
     */
    get allowRebaseMerge(): boolean;
    /**
     * @stability stable
     */
    get allowSquashMerge(): boolean;
    /**
     * @stability stable
     */
    get archived(): boolean;
    /**
     * @stability stable
     */
    get defaultBranch(): string;
    /**
     * @stability stable
     */
    get description(): string;
    private _fullName?;
    /**
     * @stability stable
     */
    get fullName(): string;
    /**
     * @stability stable
     */
    set fullName(value: string);
    /**
     * @stability stable
     */
    resetFullName(): void;
    /**
     * @stability stable
     */
    get fullNameInput(): string | undefined;
    /**
     * @stability stable
     */
    get gitCloneUrl(): string;
    /**
     * @stability stable
     */
    get hasDownloads(): boolean;
    /**
     * @stability stable
     */
    get hasIssues(): boolean;
    /**
     * @stability stable
     */
    get hasProjects(): boolean;
    /**
     * @stability stable
     */
    get hasWiki(): boolean;
    /**
     * @stability stable
     */
    get homepageUrl(): string;
    /**
     * @stability stable
     */
    get htmlUrl(): string;
    /**
     * @stability stable
     */
    get httpCloneUrl(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _name?;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    resetName(): void;
    /**
     * @stability stable
     */
    get nameInput(): string | undefined;
    /**
     * @stability stable
     */
    get nodeId(): string;
    /**
     * @stability stable
     */
    get private(): boolean;
    /**
     * @stability stable
     */
    get sshCloneUrl(): string;
    /**
     * @stability stable
     */
    get svnUrl(): string;
    /**
     * @stability stable
     */
    get topics(): string[];
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
