import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataGithubTeamConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly slug: string;
}
/**
 * @stability stable
 */
export declare class DataGithubTeam extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataGithubTeamConfig);
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get members(): string[];
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get nodeId(): string;
    /**
     * @stability stable
     */
    get permission(): string;
    /**
     * @stability stable
     */
    get privacy(): string;
    private _slug;
    /**
     * @stability stable
     */
    get slug(): string;
    /**
     * @stability stable
     */
    set slug(value: string);
    /**
     * @stability stable
     */
    get slugInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
