import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface OrganizationWebhookConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly active?: boolean;
    /**
     * @stability stable
     */
    readonly events: string[];
    /**
     * @stability stable
     */
    readonly name?: string;
    /**
     * configuration block.
     *
     * @stability stable
     */
    readonly configuration?: OrganizationWebhookConfiguration[];
}
/**
 * @stability stable
 */
export interface OrganizationWebhookConfiguration {
    /**
     * @stability stable
     */
    readonly contentType?: string;
    /**
     * @stability stable
     */
    readonly insecureSsl?: boolean;
    /**
     * @stability stable
     */
    readonly secret?: string;
    /**
     * @stability stable
     */
    readonly url: string;
}
/**
 * @stability stable
 */
export declare class OrganizationWebhook extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: OrganizationWebhookConfig);
    private _active?;
    /**
     * @stability stable
     */
    get active(): boolean;
    /**
     * @stability stable
     */
    set active(value: boolean);
    /**
     * @stability stable
     */
    resetActive(): void;
    /**
     * @stability stable
     */
    get activeInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get etag(): string;
    private _events;
    /**
     * @stability stable
     */
    get events(): string[];
    /**
     * @stability stable
     */
    set events(value: string[]);
    /**
     * @stability stable
     */
    get eventsInput(): string[];
    /**
     * @stability stable
     */
    get id(): string;
    private _name?;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    resetName(): void;
    /**
     * @stability stable
     */
    get nameInput(): string | undefined;
    /**
     * @stability stable
     */
    get url(): string;
    private _configuration?;
    /**
     * @stability stable
     */
    get configuration(): OrganizationWebhookConfiguration[];
    /**
     * @stability stable
     */
    set configuration(value: OrganizationWebhookConfiguration[]);
    /**
     * @stability stable
     */
    resetConfiguration(): void;
    /**
     * @stability stable
     */
    get configurationInput(): OrganizationWebhookConfiguration[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
