import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface RepositoryFileConfig extends cdktf.TerraformMetaArguments {
    /**
     * The branch name, defaults to "master".
     *
     * @stability stable
     */
    readonly branch?: string;
    /**
     * The commit author name, defaults to the authenticated user's name.
     *
     * @stability stable
     */
    readonly commitAuthor?: string;
    /**
     * The commit author email address, defaults to the authenticated user's email address.
     *
     * @stability stable
     */
    readonly commitEmail?: string;
    /**
     * The commit message when creating or updating the file.
     *
     * @stability stable
     */
    readonly commitMessage?: string;
    /**
     * The file's content.
     *
     * @stability stable
     */
    readonly content: string;
    /**
     * The file path to manage.
     *
     * @stability stable
     */
    readonly file: string;
    /**
     * The repository name.
     *
     * @stability stable
     */
    readonly repository: string;
}
/**
 * @stability stable
 */
export declare class RepositoryFile extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: RepositoryFileConfig);
    private _branch?;
    /**
     * @stability stable
     */
    get branch(): string;
    /**
     * @stability stable
     */
    set branch(value: string);
    /**
     * @stability stable
     */
    resetBranch(): void;
    /**
     * @stability stable
     */
    get branchInput(): string | undefined;
    private _commitAuthor?;
    /**
     * @stability stable
     */
    get commitAuthor(): string;
    /**
     * @stability stable
     */
    set commitAuthor(value: string);
    /**
     * @stability stable
     */
    resetCommitAuthor(): void;
    /**
     * @stability stable
     */
    get commitAuthorInput(): string | undefined;
    private _commitEmail?;
    /**
     * @stability stable
     */
    get commitEmail(): string;
    /**
     * @stability stable
     */
    set commitEmail(value: string);
    /**
     * @stability stable
     */
    resetCommitEmail(): void;
    /**
     * @stability stable
     */
    get commitEmailInput(): string | undefined;
    private _commitMessage?;
    /**
     * @stability stable
     */
    get commitMessage(): string;
    /**
     * @stability stable
     */
    set commitMessage(value: string);
    /**
     * @stability stable
     */
    resetCommitMessage(): void;
    /**
     * @stability stable
     */
    get commitMessageInput(): string | undefined;
    private _content;
    /**
     * @stability stable
     */
    get content(): string;
    /**
     * @stability stable
     */
    set content(value: string);
    /**
     * @stability stable
     */
    get contentInput(): string;
    private _file;
    /**
     * @stability stable
     */
    get file(): string;
    /**
     * @stability stable
     */
    set file(value: string);
    /**
     * @stability stable
     */
    get fileInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _repository;
    /**
     * @stability stable
     */
    get repository(): string;
    /**
     * @stability stable
     */
    set repository(value: string);
    /**
     * @stability stable
     */
    get repositoryInput(): string;
    /**
     * @stability stable
     */
    get sha(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
