import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface TeamSyncGroupMappingConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly teamSlug: string;
    /**
     * group block.
     *
     * @stability stable
     */
    readonly group?: TeamSyncGroupMappingGroup[];
}
/**
 * @stability stable
 */
export interface TeamSyncGroupMappingGroup {
    /**
     * @stability stable
     */
    readonly groupDescription: string;
    /**
     * @stability stable
     */
    readonly groupId: string;
    /**
     * @stability stable
     */
    readonly groupName: string;
}
/**
 * @stability stable
 */
export declare class TeamSyncGroupMapping extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: TeamSyncGroupMappingConfig);
    /**
     * @stability stable
     */
    get etag(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _teamSlug;
    /**
     * @stability stable
     */
    get teamSlug(): string;
    /**
     * @stability stable
     */
    set teamSlug(value: string);
    /**
     * @stability stable
     */
    get teamSlugInput(): string;
    private _group?;
    /**
     * @stability stable
     */
    get group(): TeamSyncGroupMappingGroup[];
    /**
     * @stability stable
     */
    set group(value: TeamSyncGroupMappingGroup[]);
    /**
     * @stability stable
     */
    resetGroup(): void;
    /**
     * @stability stable
     */
    get groupInput(): TeamSyncGroupMappingGroup[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
